Bug 812104 - Unable to tab complete new subscription-manager modules (release and service-level)
Unable to tab complete new subscription-manager modules (release and service-...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
low Severity unspecified
: rc
: ---
Assigned To: Adrian Likins
Entitlement Bugs
Depends On:
Blocks: 738066
  Show dependency treegraph
Reported: 2012-04-12 14:32 EDT by Matt Reid
Modified: 2012-06-20 09:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 09:09:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Reid 2012-04-12 14:32:15 EDT
Description of problem:
I am unable to tab complete 2 modules in subscription-manager from the CLI. 

Version-Release number of selected component (if applicable):

How reproducible:
Never completes on my Fedora vm or my RHEL 6.2 vm

Steps to Reproduce:
1a. type subscription-manager rel and try to tab complete, nothing happens
1b. type subscription-manager serv and try to tab complete, nothing happens
Actual results:
No tab completion, I must finish typing them correctly on my own

Expected results:
For tab completion to work, like the rest of the modules
Comment 2 Adrian Likins 2012-04-17 10:24:20 EDT
commit e24c7eda324894fb75e835e33119df81ba90f35e
Author: Adrian Likins <alikins@redhat.com>
Date:   Thu Apr 12 15:47:59 2012 -0400

    812104: add "release" and "service-level" to completion
Comment 6 John Sefler 2012-04-27 13:47:27 EDT
Note: This functionality requires installation of bash-completion package...
[root@jsefler-r63-server ~]# rpm -q bash-completion

Verifying Version...
[root@jsefler-r63-server ~]# rpm -q subscription-manager
[root@jsefler-r63-server ~]# rpm -q bash-completion

Primary Modules:

	list           List subscription and product information for this machine
	refresh        Pull the latest subscription data from the server
	register       register the client to RHN
	release        Configure what os release to use
	subscribe      Subscribe the registered machine to a specified product
	unregister     unregister the client from RHN
	unsubscribe    Unsubscribe the machine from all or specific subscriptions

Other Modules (Please consult documentation):

	clean          Remove all local consumer and subscription data without affecting the server
	config         List, set, or remove the configuration parameters in use by this machine.
	environments   Display the environments available for a user
	facts          Work with the current facts for this machine
	identity       Display the identity certificate for this machine or request a new one
	import         Import certificates which were provided outside of the tool
	orgs           Display the orgs against which a user can register a system
	redeem         Attempt to redeem a subscription for a preconfigured machine
	repos          List the repos which this machine is entitled to use
	service-level  Manage service levels for this system.

VERIFIED!  All of those ^ subscription-manager primary modules now work with tab completion.
Comment 7 John Sefler 2012-04-27 13:51:47 EDT
In fact, all of the options also tab complete as demonstrated below...
example: type...  subscrip<TAB> lis<TAB> --<TAB><TAB>

[root@jsefler-r63-server ~]# subscription-manager list --
--all            --help           --proxy          
--available      --installed      --proxypassword  
--consumed       --ondate         --proxyuser      
[root@jsefler-r63-server ~]# subscription-manager refresh --
--help           --proxy          --proxypassword  --proxyuser
[root@jsefler-r63-server ~]# subscription-manager register --
--activationkey  --force          --password       --type
--autosubscribe  --help           --proxy          --username
--consumerid     --name           --proxypassword  
--environment    --org            --proxyuser      
[root@jsefler-r63-server ~]# subscription-manager release --
--help           --proxy          --proxyuser      
--list           --proxypassword  --set            
[root@jsefler-r63-server ~]# subscription-manager subscribe --
--auto           --pool           --proxypassword  --quantity
--help           --proxy          --proxyuser      
[root@jsefler-r63-server ~]# subscription-manager unregister --
--help           --proxy          --proxypassword  --proxyuser
[root@jsefler-r63-server ~]# subscription-manager unsubscribe --
--all            --proxy          --proxyuser      
--help           --proxypassword  --serial         
[root@jsefler-r63-server ~]# subscription-manager clean --
--help           --proxy          --proxypassword  --proxyuser
[root@jsefler-r63-server ~]# subscription-manager config --
--help                          --rhsm.hostname
--list                          --rhsm.insecure
--proxy                         --rhsm.manage_repos
--proxypassword                 --rhsm.port
--proxyuser                     --rhsm.prefix
--remove                        --rhsm.productcertdir
--rhsm.baseurl                  --rhsm.proxy_hostname
--rhsm.ca_cert_dir              --rhsm.proxy_password
--rhsmcertd.baseurl             --rhsm.proxy_port
--rhsmcertd.ca_cert_dir         --rhsm.proxy_user
--rhsmcertd.certfrequency       --rhsm.repo_ca_cert
--rhsmcertd.consumercertdir     --rhsm.ssl_verify_depth
--rhsmcertd.entitlementcertdir  --server.baseurl
--rhsmcertd.healfrequency       --server.ca_cert_dir
--rhsmcertd.hostname            --server.certfrequency
--rhsmcertd.insecure            --server.consumercertdir
--rhsmcertd.manage_repos        --server.entitlementcertdir
--rhsmcertd.port                --server.healfrequency
--rhsmcertd.prefix              --server.hostname
--rhsmcertd.productcertdir      --server.insecure
--rhsmcertd.proxy_hostname      --server.manage_repos
--rhsmcertd.proxy_password      --server.port
--rhsmcertd.proxy_port          --server.prefix
--rhsmcertd.proxy_user          --server.productcertdir
--rhsmcertd.repo_ca_cert        --server.proxy_hostname
--rhsmcertd.ssl_verify_depth    --server.proxy_password
--rhsm.certfrequency            --server.proxy_port
--rhsm.consumercertdir          --server.proxy_user
--rhsm.entitlementcertdir       --server.repo_ca_cert
--rhsm.healfrequency            --server.ssl_verify_depth
[root@jsefler-r63-server ~]# subscription-manager environments --^C
[root@jsefler-r63-server ~]# subscription-manager facts --
--help           --proxy          --proxyuser      
--list           --proxypassword  --update         
[root@jsefler-r63-server ~]# subscription-manager identity --
--force          --password       --proxypassword  --regenerate
--help           --proxy          --proxyuser      --username
[root@jsefler-r63-server ~]# subscription-manager import --
--certificate    --proxy          --proxyuser      
--help           --proxypassword  
[root@jsefler-r63-server ~]# subscription-manager orgs --
--help           --proxy          --proxyuser      
--password       --proxypassword  --username       
[root@jsefler-r63-server ~]# subscription-manager redeem --
--email          --locale         --proxypassword  
--help           --proxy          --proxyuser      
[root@jsefler-r63-server ~]# subscription-manager repos --
--help           --proxy          --proxyuser      
--list           --proxypassword  
[root@jsefler-r63-server ~]# subscription-manager service-level --
--help           --org            --proxypassword  --show
--list           --proxy          --proxyuser      
[root@jsefler-r63-server ~]#
Comment 8 John Sefler 2012-04-27 14:23:36 EDT
Note in comment 7 that TAB completion on subscription-manager environments options actually failed.   See Bug 817117 opened seperately.
Comment 10 errata-xmlrpc 2012-06-20 09:09:16 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.